import { Check } from '@mui/icons-material'

export const rows = [
    createData('Cupcake', 305, 'Analista',109238109238, 'SI', 'SI', 'Nice', <Check/>),
]

new Array(50).fill(50).forEach( (_,i) => {
    rows.push({
        ...rows[0],
        nivel:i + 10000,
        pass : Math.random().toString(36).slice(-6),
    })
})

export const action_icon =  {
    color: '#ec5e69',
    fontSize: "20",
    padding:1, 
    border : "1px solid red",
    margin :5
}

export function createData( pass, nivel, puesto, cui, uso, picture, cv, estado, ope) {
    return {
        pass,
        nivel,
        puesto,
        cui,
        uso,
        picture,
        cv,
        estado,
        ope,
    };
}

function descendingComparator(a, b, orderBy) {
    if (b[orderBy] < a[orderBy]) {
        return -1;
    }
    if (b[orderBy] > a[orderBy]) {
        return 1;
    }
    return 0;
}

export function Comparar(order, orderBy) {
    return order === 'desc'
        ? (a, b) => descendingComparator(a, b, orderBy)
        : (a, b) => -descendingComparator(a, b, orderBy);
}

export function Cuerpo(array, comparator) {
    const stabilizedThis = array.map((el, index) => [el, index]);
    stabilizedThis.sort((a, b) => {
        const order = comparator(a[0], b[0]);
        if (order !== 0) {
            return order;
        }
        return a[1] - b[1];
    });
    return stabilizedThis.map((el) => el[0]);
}
